/*
	チャット選択スクリプト 動画配信サイトサンプル３

	CHAT_ID で指定したHTML要素からチャットの内容を抽出するJScriptを記述します。
	JScript又はjavascriptと、DOMの知識が少々必要です。

	親スクリプトからの入力
		elements_li[i] に、CHAT_ITEM_TAG で指定したHTML要素の i 番目が入っています
	親スクリプトへの出力
		str_time に時刻を設定します
		str_name に名前を設定します
		str_content に発言内容を設定します
*/

if(elements_li[i].getElementsByClassName("smalldate")[0] != null) {
	//時刻
	str_time = elements_li[i].getElementsByClassName("smalldate")[0].innerText;
	//名前
	str_name = elements_li[i].getElementsByClassName("name")[0].innerText;
	//内容
	var children = elements_li[i].getElementsByClassName("comment")[0].childNodes;
	for(var j=0;j<children.length;j++){
		//テキストノード(3)を探す
		if(children.item(j).nodeType == 3) {
			str_content += children.item(j).nodeValue;
		}
	}
} else {
	str_time="";
	str_name="";
	str_content="";
}

